Package ru.bgcrm.plugin.bgbilling.dao

# Class ContractDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.dao.ContractDAO

@Deprecated public class ContractDAO extends BillingDAO
Deprecated.
Логика взаимодействия с сервером биллинга должна быть постепенно перенесена в `ContractDAO`, `ContractParamDAO`. Возможно, в этом классе останется что-то связанное одновременно с CRM и биллингом, например, копирование параметров.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractDAO.TaskStatus`
  Deprecated.

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractDAO(User user, String billingId)`
  Deprecated.
  `ContractDAO(User user, DBInfo dbInfo)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyAddress(ParameterAddressValue address, int contractId, int toParamId)`
  Deprecated.
  `void`
  `copyObjectParamsToContract(Connection con, String copyParamsMapping, int objectId, int contractId, Customer customer)`
  Deprecated.
  `static void`
  `copyParametersToAllContracts(Connection con, User user, int customerId)`
  Deprecated.
  `void`
  `copyParametersToBilling(Connection con, int customerId, int contractId, String title)`
  Deprecated.

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractDAO

    public ContractDAO(User user, String billingId)
    Deprecated.

  - ### ContractDAO

    public ContractDAO(User user, DBInfo dbInfo)
    Deprecated.

- ## Method Details

  - ### copyAddress

    @Deprecated public void copyAddress(ParameterAddressValue address, int contractId, int toParamId)
    Deprecated.

  - ### copyParametersToBilling

    public void copyParametersToBilling(Connection con, int customerId, int contractId, String title) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### copyObjectParamsToContract

    public void copyObjectParamsToContract(Connection con, String copyParamsMapping, int objectId, int contractId, Customer customer) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### copyParametersToAllContracts

    public static void copyParametersToAllContracts(Connection con, User user, int customerId) throws Exception
    Deprecated.
    Throws:
      `Exception`